<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
    * {
        box-sizing: border-box;
    }

    .header {
        background-color: green;
        grid-area: H;
    }

    .side-left {
        background-color: red;
        grid-area: SL;

    }

    .side-right {
        background-color: blue;
        grid-area: SR;
    }

    .main {
        background-color: yellow;
        grid-area: M;
    }

    .footer {
        background-color: pink;
        grid-area: F;
    }

    .ui {
        display: grid;
        grid-gap: 10px;
        grid-template-columns: 100px 2fr 1fr;
        grid-template-areas:
        "H H H"
        "SL M SR"
        "F F F";
    }
    </style>

</head>
<body>

    <div class="ui">
        <div class="header">header</div>
        <div class="side-left">left</div>
        <div class="main">main</div>
        <div class="side-right">right</div>
        <div class="footer">footer</div>
    </div>

</body>
</html>